## org.firebirdsql.jdbc
Class FBCallableStatement

    java.lang.Object
      org.firebirdsql.jdbc.AbstractStatement
          org.firebirdsql.jdbc.AbstractPreparedStatement
              org.firebirdsql.jdbc.AbstractCallableStatement
                  org.firebirdsql.jdbc.FBCallableStatement

All Implemented Interfaces:
  CallableStatement, PreparedStatement, Statement, Wrapper, FirebirdCallableStatement, FirebirdPreparedStatement, FirebirdStatement, Synchronizable

    public class FBCallableStatement

extends AbstractCallableStatement

JDBC 3.0 compliant implementation of `CallableStatement`.

Field Summary

Fields inherited from class org.firebirdsql.jdbc.AbstractCallableStatement
`procedureCall, selectableProcedure`

Fields inherited from class org.firebirdsql.jdbc.AbstractPreparedStatement
`isParamSet`

Fields inherited from class org.firebirdsql.jdbc.AbstractStatement
`completed, fetchSize, firstWarning, fixedStmt, gdsHelper, hasMoreResults, isResultSet, maxRows, statementListener`

Fields inherited from interface org.firebirdsql.jdbc.FirebirdPreparedStatement
`TYPE_COMMIT, TYPE_DDL, TYPE_DELETE, TYPE_EXEC_PROCEDURE, TYPE_GET_SEGMENT, TYPE_INSERT, TYPE_PUT_SEGMENT, TYPE_ROLLBACK, TYPE_SELECT, TYPE_SELECT_FOR_UPDATE, TYPE_SET_GENERATOR, TYPE_START_TRANS, TYPE_UPDATE`

Fields inherited from interface org.firebirdsql.jdbc.FirebirdStatement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT`

Fields inherited from interface java.sql.Statement
`EXECUTE_FAILED, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`FBCallableStatement(GDSHelper c, String sql, int rsType, int rsConcurrency, int rsHoldability, FBObjectListener.StatementListener statementListener, FBObjectListener.BlobListener blobListener)` Create instance of this class.

Method Summary
`boolean` `execute(String param1, int param2)` jdbc 3
`boolean` `execute(String param1, int[] param2)` jdbc 3
`boolean` `execute(String param1, String[] param2)` jdbc 3
`int` `executeUpdate(String param1, int param2)` jdbc 3
`int` `executeUpdate(String param1, int[] param2)` jdbc 3
`int` `executeUpdate(String param1, String[] param2)` jdbc 3
`Array` `getArray(String colName)`
`BigDecimal` `getBigDecimal(String colName)`
`Blob` `getBlob(String colName)`
`boolean` `getBoolean(String colName)`
`byte` `getByte(String colName)`
`byte[]` `getBytes(String colName)`
`Reader` `getCharacterStream(int parameterIndex)`
`Reader` `getCharacterStream(String parameterName)`
`Clob` `getClob(String colName)`
`Date` `getDate(String colName)`
`Date` `getDate(String colName, Calendar cal)`
`double` `getDouble(String colName)`
`float` `getFloat(String colName)`
`ResultSet` `getGeneratedKeys()` jdbc 3
`int` `getInt(String colName)`
`long` `getLong(String colName)`
`Reader` `getNCharacterStream(int parameterIndex)`
`Reader` `getNCharacterStream(String parameterName)`
`NClob` `getNClob(int parameterIndex)`
`NClob` `getNClob(String parameterName)`
`String` `getNString(int parameterIndex)`
`String` `getNString(String parameterName)`
`Object` `getObject(String colName)`
`Object` `getObject(String colName, Map map)`
`ParameterMetaData` `getParameterMetaData()` Retrieves the number, types and properties of this `PreparedStatement` object's parameters.
`Ref` `getRef(String colName)`
`RowId` `getRowId(int parameterIndex)`
`RowId` `getRowId(String parameterName)`
`short` `getShort(String colName)`
`SQLXML` `getSQLXML(int parameterIndex)`
`SQLXML` `getSQLXML(String parameterName)`
`String` `getString(String colName)`
`Time` `getTime(String colName)`
`Time` `getTime(String colName, Calendar cal)`
`Timestamp` `getTimestamp(String colName)`
`Timestamp` `getTimestamp(String colName, Calendar cal)`
`URL` `getURL(int colIndex)`
`URL` `getURL(String colName)`
`boolean` `isPoolable()`
`boolean` `isWrapperFor(Class arg0)`
`void` `registerOutParameter(int parameterIndex, int sqlType, String typeName)` Registers the designated output parameter.
`void` `registerOutParameter(String param1, int param2)`
`void` `registerOutParameter(String param1, int param2, int param3)`
`void` `registerOutParameter(String param1, int param2, String param3)`
`void` `setAsciiStream(int parameterIndex, InputStream x)`
`void` `setAsciiStream(int parameterIndex, InputStream x, long length)`
`void` `setAsciiStream(String parameterName, InputStream x)`
`void` `setAsciiStream(String param1, InputStream param2, int param3)`
`void` `setAsciiStream(String parameterName, InputStream x, long length)`
`void` `setBigDecimal(String param1, BigDecimal param2)`
`void` `setBinaryStream(int parameterIndex, InputStream x)`
`void` `setBinaryStream(int parameterIndex, InputStream x, long length)`
`void` `setBinaryStream(String parameterName, InputStream x)`
`void` `setBinaryStream(String param1, InputStream param2, int param3)`
`void` `setBinaryStream(String parameterName, InputStream x, long length)`
`void` `setBlob(int parameterIndex, InputStream inputStream)`
`void` `setBlob(int parameterIndex, InputStream inputStream, long length)`
`void` `setBlob(String parameterName, Blob x)`
`void` `setBlob(String parameterName, InputStream inputStream)`
`void` `setBlob(String parameterName, InputStream inputStream, long length)`
`void` `setBoolean(String param1, boolean param2)`
`void` `setByte(String param1, byte param2)`
`void` `setBytes(String param1, byte[] param2)`
`void` `setCharacterStream(int parameterIndex, Reader reader)`
`void` `setCharacterStream(int parameterIndex, Reader reader, long length)`
`void` `setCharacterStream(String parameterName, Reader reader)`
`void` `setCharacterStream(String param1, Reader param2, int param3)`
`void` `setCharacterStream(String parameterName, Reader reader, long length)`
`void` `setClob(int parameterIndex, Reader reader)`
`void` `setClob(int parameterIndex, Reader reader, long length)`
`void` `setClob(String parameterName, Clob x)`
`void` `setClob(String parameterName, Reader reader)`
`void` `setClob(String parameterName, Reader reader, long length)`
`void` `setDate(String param1, Date param2)`
`void` `setDate(String param1, Date param2, Calendar param3)`
`void` `setDouble(String param1, double param2)`
`void` `setFloat(String param1, float param2)`
`void` `setInt(String param1, int param2)`
`void` `setLong(String param1, long param2)`
`void` `setNCharacterStream(int parameterIndex, Reader value)`
`void` `setNCharacterStream(int parameterIndex, Reader value, long length)`
`void` `setNCharacterStream(String parameterName, Reader value)`
`void` `setNCharacterStream(String parameterName, Reader value, long length)`
`void` `setNClob(int parameterIndex, NClob value)`
`void` `setNClob(int parameterIndex, Reader reader)`
`void` `setNClob(int parameterIndex, Reader reader, long length)`
`void` `setNClob(String parameterName, NClob value)`
`void` `setNClob(String parameterName, Reader reader)`
`void` `setNClob(String parameterName, Reader reader, long length)`
`void` `setNString(int parameterIndex, String value)`
`void` `setNString(String parameterName, String value)`
`void` `setNull(String param1, int param2)`
`void` `setNull(String param1, int param2, String param3)`
`void` `setObject(String param1, Object param2)`
`void` `setObject(String param1, Object param2, int param3)`
`void` `setObject(String param1, Object param2, int param3, int param4)`
`void` `setPoolable(boolean poolable)`
`void` `setRowId(int parameterIndex, RowId x)`
`void` `setRowId(String parameterName, RowId x)`
`void` `setShort(String param1, short param2)`
`void` `setSQLXML(int parameterIndex, SQLXML xmlObject)`
`void` `setSQLXML(String parameterName, SQLXML xmlObject)`
`void` `setString(String param1, String param2)`
`void` `setTime(String param1, Time param2)`
`void` `setTime(String param1, Time param2, Calendar param3)`
`void` `setTimestamp(String param1, Timestamp param2)`
`void` `setTimestamp(String param1, Timestamp param2, Calendar param3)`
`void` `setURL(int parameterIndex, URL url)` Sets the designated parameter to the given `java.net.URL` value.
`void` `setURL(String param1, URL param2)`
`Object` `unwrap(Class arg0)`

Methods inherited from class org.firebirdsql.jdbc.AbstractCallableStatement

`addBatch, assertHasData, clearBatch, execute, executeBatch, executeQuery, executeUpdate, getArray, getBigDecimal, getBigDecimal, getBlob, getBoolean, getByte, getBytes, getClob, getCurrentResultSet, getDate, getDate, getDouble, getFloat, getInt, getLong, getMetaData, getObject, getObject, getRef, getResultSet, getShort, getString, getTime, getTime, getTimestamp, getTimestamp, internalExecute, prepareFixedStatement, registerOutParameter, registerOutParameter, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setRequiredTypes, setSelectableProcedure, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, wasNull`

Methods inherited from class org.firebirdsql.jdbc.AbstractPreparedStatement
`clearParameters, completeStatement, getExecutionPlan, getField, getStatementType, getXsqlvar, notifyStatementCompleted, setStringForced`

Methods inherited from class org.firebirdsql.jdbc.AbstractStatement

`addBatch, addWarning, cancel, clearWarnings, close, execute, executeQuery, executeUpdate, finalize, forgetResultSet, getConnection, getDeletedRowsCount, getFetchDirection, getFetchSize, getInsertedRowsCount, getLastExecutionPlan, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getSynchronizationObject, getUpdateCount, getUpdatedRowsCount, getWarnings, hasOpenResultSet, internalExecute, isClosed, isExecuteProcedureStatement, isValid, nativeSQL, notifyStatementCompleted, notifyStatementStarted, notifyStatementStarted, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout, toArray`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.firebirdsql.jdbc.FirebirdPreparedStatement
`getExecutionPlan, getStatementType`

Methods inherited from interface org.firebirdsql.jdbc.FirebirdStatement
`getDeletedRowsCount, getInsertedRowsCount, getLastExecutionPlan, getUpdatedRowsCount, hasOpenResultSet, isValid`

Methods inherited from interface java.sql.PreparedStatement
`clearParameters`

Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearWarnings, close, execute, executeQuery, executeUpdate, getConnection, getFetchDirection, getFetchSize, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

Constructor Detail

### FBCallableStatement

    public FBCallableStatement(GDSHelper c,
                               String sql,
                               int rsType,
                               int rsConcurrency,
                               int rsHoldability,
                               FBObjectListener.StatementListener statementListener,
                               FBObjectListener.BlobListener blobListener)
                        throws SQLException

  Create instance of this class.

  Parameters:
    `c` - instance of `AbstractConnection`
    `sql` - SQL statement containing procedure call.
  Throws:
    `SQLException` - if SQL error occured.

Method Detail

### setURL

    public void setURL(int parameterIndex,
                       URL url)
                throws SQLException

  Sets the designated parameter to the given `java.net.URL` value. The driver converts this to an SQL `DATALINK` value when it sends it to the database.

  Parameters:
    `parameterIndex` - the first parameter is 1, the second is 2, ...
    `url` - the `java.net.URL` object to be set
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4

### getParameterMetaData

    public ParameterMetaData getParameterMetaData()
                                           throws SQLException

  Retrieves the number, types and properties of this `PreparedStatement` object's parameters.

  Returns:
    a `ParameterMetaData` object that contains information about the number, types and properties of this `PreparedStatement` object's parameters
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4
  See Also:
    `ParameterMetaData`

### registerOutParameter

    public void registerOutParameter(String param1,
                                     int param2)
                              throws SQLException

  Throws:
    `SQLException`

### registerOutParameter

    public void registerOutParameter(String param1,
                                     int param2,
                                     int param3)
                              throws SQLException

  Throws:
    `SQLException`

### registerOutParameter

    public void registerOutParameter(String param1,
                                     int param2,
                                     String param3)
                              throws SQLException

  Throws:
    `SQLException`

### getURL

    public URL getURL(int colIndex)
               throws SQLException

  Throws:
    `SQLException`

### setURL

    public void setURL(String param1,
                       URL param2)
                throws SQLException

  Throws:
    `SQLException`

### setNull

    public void setNull(String param1,
                        int param2)
                 throws SQLException

  Throws:
    `SQLException`

### setBoolean

    public void setBoolean(String param1,
                           boolean param2)
                    throws SQLException

  Throws:
    `SQLException`

### setByte

    public void setByte(String param1,
                        byte param2)
                 throws SQLException

  Throws:
    `SQLException`

### setShort

    public void setShort(String param1,
                         short param2)
                  throws SQLException

  Throws:
    `SQLException`

### setInt

    public void setInt(String param1,
                       int param2)
                throws SQLException

  Throws:
    `SQLException`

### setLong

    public void setLong(String param1,
                        long param2)
                 throws SQLException

  Throws:
    `SQLException`

### setFloat

    public void setFloat(String param1,
                         float param2)
                  throws SQLException

  Throws:
    `SQLException`

### setDouble

    public void setDouble(String param1,
                          double param2)
                   throws SQLException

  Throws:
    `SQLException`

### setBigDecimal

    public void setBigDecimal(String param1,
                              BigDecimal param2)
                       throws SQLException

  Throws:
    `SQLException`

### setString

    public void setString(String param1,
                          String param2)
                   throws SQLException

  Throws:
    `SQLException`

### setBytes

    public void setBytes(String param1,
                         byte[] param2)
                  throws SQLException

  Throws:
    `SQLException`

### setDate

    public void setDate(String param1,
                        Date param2)
                 throws SQLException

  Throws:
    `SQLException`

### setTime

    public void setTime(String param1,
                        Time param2)
                 throws SQLException

  Throws:
    `SQLException`

### setTimestamp

    public void setTimestamp(String param1,
                             Timestamp param2)
                      throws SQLException

  Throws:
    `SQLException`

### setAsciiStream

    public void setAsciiStream(String param1,
                               InputStream param2,
                               int param3)
                        throws SQLException

  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(String param1,
                                InputStream param2,
                                int param3)
                         throws SQLException

  Throws:
    `SQLException`

### setObject

    public void setObject(String param1,
                          Object param2,
                          int param3,
                          int param4)
                   throws SQLException

  Throws:
    `SQLException`

### setObject

    public void setObject(String param1,
                          Object param2,
                          int param3)
                   throws SQLException

  Throws:
    `SQLException`

### setObject

    public void setObject(String param1,
                          Object param2)
                   throws SQLException

  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(String param1,
                                   Reader param2,
                                   int param3)
                            throws SQLException

  Throws:
    `SQLException`

### setDate

    public void setDate(String param1,
                        Date param2,
                        Calendar param3)
                 throws SQLException

  Throws:
    `SQLException`

### setTime

    public void setTime(String param1,
                        Time param2,
                        Calendar param3)
                 throws SQLException

  Throws:
    `SQLException`

### setTimestamp

    public void setTimestamp(String param1,
                             Timestamp param2,
                             Calendar param3)
                      throws SQLException

  Throws:
    `SQLException`

### setNull

    public void setNull(String param1,
                        int param2,
                        String param3)
                 throws SQLException

  Throws:
    `SQLException`

### getString

    public String getString(String colName)
                     throws SQLException

  Throws:
    `SQLException`

### getBoolean

    public boolean getBoolean(String colName)
                       throws SQLException

  Throws:
    `SQLException`

### getByte

    public byte getByte(String colName)
                 throws SQLException

  Throws:
    `SQLException`

### getShort

    public short getShort(String colName)
                   throws SQLException

  Throws:
    `SQLException`

### getInt

    public int getInt(String colName)
               throws SQLException

  Throws:
    `SQLException`

### getLong

    public long getLong(String colName)
                 throws SQLException

  Throws:
    `SQLException`

### getFloat

    public float getFloat(String colName)
                   throws SQLException

  Throws:
    `SQLException`

### getDouble

    public double getDouble(String colName)
                     throws SQLException

  Throws:
    `SQLException`

### getBytes

    public byte[] getBytes(String colName)
                    throws SQLException

  Throws:
    `SQLException`

### getDate

    public Date getDate(String colName)
                 throws SQLException

  Throws:
    `SQLException`

### getTime

    public Time getTime(String colName)
                 throws SQLException

  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(String colName)
                           throws SQLException

  Throws:
    `SQLException`

### getObject

    public Object getObject(String colName)
                     throws SQLException

  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(String colName)
                             throws SQLException

  Throws:
    `SQLException`

### getObject

    public Object getObject(String colName,
                            Map map)
                     throws SQLException

  Throws:
    `SQLException`

### getRef

    public Ref getRef(String colName)
               throws SQLException

  Throws:
    `SQLException`

### getBlob

    public Blob getBlob(String colName)
                 throws SQLException

  Throws:
    `SQLException`

### getClob

    public Clob getClob(String colName)
                 throws SQLException

  Throws:
    `SQLException`

### getArray

    public Array getArray(String colName)
                   throws SQLException

  Throws:
    `SQLException`

### getDate

    public Date getDate(String colName,
                        Calendar cal)
                 throws SQLException

  Throws:
    `SQLException`

### getTime

    public Time getTime(String colName,
                        Calendar cal)
                 throws SQLException

  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(String colName,
                                  Calendar cal)
                           throws SQLException

  Throws:
    `SQLException`

### getURL

    public URL getURL(String colName)
               throws SQLException

  Throws:
    `SQLException`

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     String typeName)
                              throws SQLException

  Registers the designated output parameter. This version of the method `registerOutParameter` should be used for a user-named or REF output parameter. Examples of user-named types include: STRUCT, DISTINCT, JAVA_OBJECT, and named array types. Before executing a stored procedure call, you must explicitly call `registerOutParameter` to register the type from `java.sql.Types` for each OUT parameter. For a user-named parameter the fully-qualified SQL type name of the parameter should also be given, while a REF parameter requires that the fully-qualified type name of the referenced type be given. A JDBC driver that does not need the type code and type name information may ignore it. To be portable, however, applications should always provide these values for user-named and REF parameters. Although it is intended for user-named and REF parameters, this method may be used to register a parameter of any JDBC type. If the parameter does not have a user-named or REF type, the typeName parameter is ignored.

  Note: When reading the value of an out parameter, you must use the `getXXX` method whose Java type XXX corresponds to the parameter's registered SQL type.

  Parameters:
    `parameterIndex` - the first parameter is 1, the second is 2,...
    `sqlType` - a value from `Types`
    `typeName` - the fully-qualified name of an SQL structured type
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.2
  See Also:
    `Types`, What Is in the JDBC 2.0 API

### getGeneratedKeys

    public ResultSet getGeneratedKeys()
                               throws SQLException

  jdbc 3

  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### executeUpdate

    public int executeUpdate(String param1,
                             int param2)
                      throws SQLException

  jdbc 3

  Parameters:
    `param1` - <description>
    `param2` - <description>
  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### executeUpdate

    public int executeUpdate(String param1,
                             int[] param2)
                      throws SQLException

  jdbc 3

  Parameters:
    `param1` - <description>
    `param2` - <description>
  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### executeUpdate

    public int executeUpdate(String param1,
                             String[] param2)
                      throws SQLException

  jdbc 3

  Parameters:
    `param1` - <description>
    `param2` - <description>
  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### execute

    public boolean execute(String param1,
                           int param2)
                    throws SQLException

  jdbc 3

  Parameters:
    `param1` - <description>
    `param2` - <description>
  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### execute

    public boolean execute(String param1,
                           int[] param2)
                    throws SQLException

  jdbc 3

  Parameters:
    `param1` - <description>
    `param2` - <description>
  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### execute

    public boolean execute(String param1,
                           String[] param2)
                    throws SQLException

  jdbc 3

  Parameters:
    `param1` - <description>
    `param2` - <description>
  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               InputStream x,
                               long length)
                        throws SQLException

  Throws:
    `SQLException`

### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               InputStream x)
                        throws SQLException

  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                InputStream x,
                                long length)
                         throws SQLException

  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                InputStream x)
                         throws SQLException

  Throws:
    `SQLException`

### setBlob

    public void setBlob(int parameterIndex,
                        InputStream inputStream,
                        long length)
                 throws SQLException

  Throws:
    `SQLException`

### setBlob

    public void setBlob(int parameterIndex,
                        InputStream inputStream)
                 throws SQLException

  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   Reader reader,
                                   long length)
                            throws SQLException

  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   Reader reader)
                            throws SQLException

  Throws:
    `SQLException`

### setClob

    public void setClob(int parameterIndex,
                        Reader reader,
                        long length)
                 throws SQLException

  Throws:
    `SQLException`

### setClob

    public void setClob(int parameterIndex,
                        Reader reader)
                 throws SQLException

  Throws:
    `SQLException`

### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                                    Reader value,
                                    long length)
                             throws SQLException

  Throws:
    `SQLException`

### setNCharacterStream

    public void setNCharacterStream(int parameterIndex,
                                    Reader value)
                             throws SQLException

  Throws:
    `SQLException`

### setNClob

    public void setNClob(int parameterIndex,
                         NClob value)
                  throws SQLException

  Throws:
    `SQLException`

### setNClob

    public void setNClob(int parameterIndex,
                         Reader reader,
                         long length)
                  throws SQLException

  Throws:
    `SQLException`

### setNClob

    public void setNClob(int parameterIndex,
                         Reader reader)
                  throws SQLException

  Throws:
    `SQLException`

### setNString

    public void setNString(int parameterIndex,
                           String value)
                    throws SQLException

  Throws:
    `SQLException`

### setRowId

    public void setRowId(int parameterIndex,
                         RowId x)
                  throws SQLException

  Throws:
    `SQLException`

### setSQLXML

    public void setSQLXML(int parameterIndex,
                          SQLXML xmlObject)
                   throws SQLException

  Throws:
    `SQLException`

### getCharacterStream

    public Reader getCharacterStream(int parameterIndex)
                              throws SQLException

  Throws:
    `SQLException`

### getCharacterStream

    public Reader getCharacterStream(String parameterName)
                              throws SQLException

  Throws:
    `SQLException`

### getNCharacterStream

    public Reader getNCharacterStream(int parameterIndex)
                               throws SQLException

  Throws:
    `SQLException`

### getNCharacterStream

    public Reader getNCharacterStream(String parameterName)
                               throws SQLException

  Throws:
    `SQLException`

### getNClob

    public NClob getNClob(int parameterIndex)
                   throws SQLException

  Throws:
    `SQLException`

### getNClob

    public NClob getNClob(String parameterName)
                   throws SQLException

  Throws:
    `SQLException`

### getNString

    public String getNString(int parameterIndex)
                      throws SQLException

  Throws:
    `SQLException`

### getNString

    public String getNString(String parameterName)
                      throws SQLException

  Throws:
    `SQLException`

### getRowId

    public RowId getRowId(int parameterIndex)
                   throws SQLException

  Throws:
    `SQLException`

### getRowId

    public RowId getRowId(String parameterName)
                   throws SQLException

  Throws:
    `SQLException`

### getSQLXML

    public SQLXML getSQLXML(int parameterIndex)
                     throws SQLException

  Throws:
    `SQLException`

### getSQLXML

    public SQLXML getSQLXML(String parameterName)
                     throws SQLException

  Throws:
    `SQLException`

### setAsciiStream

    public void setAsciiStream(String parameterName,
                               InputStream x,
                               long length)
                        throws SQLException

  Throws:
    `SQLException`

### setAsciiStream

    public void setAsciiStream(String parameterName,
                               InputStream x)
                        throws SQLException

  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(String parameterName,
                                InputStream x,
                                long length)
                         throws SQLException

  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(String parameterName,
                                InputStream x)
                         throws SQLException

  Throws:
    `SQLException`

### setBlob

    public void setBlob(String parameterName,
                        Blob x)
                 throws SQLException

  Throws:
    `SQLException`

### setBlob

    public void setBlob(String parameterName,
                        InputStream inputStream,
                        long length)
                 throws SQLException

  Throws:
    `SQLException`

### setBlob

    public void setBlob(String parameterName,
                        InputStream inputStream)
                 throws SQLException

  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(String parameterName,
                                   Reader reader,
                                   long length)
                            throws SQLException

  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(String parameterName,
                                   Reader reader)
                            throws SQLException

  Throws:
    `SQLException`

### setClob

    public void setClob(String parameterName,
                        Clob x)
                 throws SQLException

  Throws:
    `SQLException`

### setClob

    public void setClob(String parameterName,
                        Reader reader,
                        long length)
                 throws SQLException

  Throws:
    `SQLException`

### setClob

    public void setClob(String parameterName,
                        Reader reader)
                 throws SQLException

  Throws:
    `SQLException`

### setNCharacterStream

    public void setNCharacterStream(String parameterName,
                                    Reader value,
                                    long length)
                             throws SQLException

  Throws:
    `SQLException`

### setNCharacterStream

    public void setNCharacterStream(String parameterName,
                                    Reader value)
                             throws SQLException

  Throws:
    `SQLException`

### setNClob

    public void setNClob(String parameterName,
                         NClob value)
                  throws SQLException

  Throws:
    `SQLException`

### setNClob

    public void setNClob(String parameterName,
                         Reader reader,
                         long length)
                  throws SQLException

  Throws:
    `SQLException`

### setNClob

    public void setNClob(String parameterName,
                         Reader reader)
                  throws SQLException

  Throws:
    `SQLException`

### setNString

    public void setNString(String parameterName,
                           String value)
                    throws SQLException

  Throws:
    `SQLException`

### setRowId

    public void setRowId(String parameterName,
                         RowId x)
                  throws SQLException

  Throws:
    `SQLException`

### setSQLXML

    public void setSQLXML(String parameterName,
                          SQLXML xmlObject)
                   throws SQLException

  Throws:
    `SQLException`

### isPoolable

    public boolean isPoolable()
                       throws SQLException

  Throws:
    `SQLException`

### setPoolable

    public void setPoolable(boolean poolable)
                     throws SQLException

  Throws:
    `SQLException`

### isWrapperFor

    public boolean isWrapperFor(Class arg0)
                         throws SQLException

  Throws:
    `SQLException`

### unwrap

    public Object unwrap(Class arg0)
                  throws SQLException

  Throws:
    `SQLException`

Copyright © 2001-2010. All Rights Reserved.